POST
/checkout-domains/{domain_id}/verify-payment-method Triggers payment method verification for a checkout domain. Currently supports Apple Pay only.
Before verifying, the checkout domain must be in approved status and the domain association file must be correctly hosted.
Requires
checkout_domain.write
permission.
Path parameters
domain_idstringrequired
Paddle ID of the checkout domain entity to work with.
Request body
payment_methodstringrequired
Payment method to verify. Currently only apple_pay is supported.
Values
apple_payVerify this checkout domain for Apple Pay.
Response (200)
dataobjectrequired
Represents a checkout domain entity.
idstringrequired
Example:
chedom_01kkertpke0gv2t61p1pq8v23xUnique Paddle ID for this checkout domain entity, prefixed with
chedom_.Pattern:
^chedom_[a-z\d]{26}$domainstring (hostname)required
Example:
example.comCheckout domain name.
statusstringrequired
Approval status of this checkout domain. Checkout domains are created as
pending_review. Other statuses are automatically set by Paddle when reviewing the domain.Values
pending_reviewDomain is newly added and is pending review.approvedDomain has been approved and can be used for checkouts.rejectedDomain has been rejected and cannot be used for checkouts.in_reviewDomain is currently under review by Paddle.
payment_method_verificationobjectrequired
Payment method verification status for this checkout domain.
apple_payobjectrequired
Apple Pay verification status for this checkout domain.
statusstringrequired
Payment method verification status for this checkout domain.
Values
verifiedPayment method is verified for this checkout domain.unverifiedPayment method isn't verified for this checkout domain.
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "payment_method": "apple_pay"}{ "data": { "id": "chedom_01kkertpke0gv2t61p1pq8v23x", "domain": "app.example.com", "status": "approved", "payment_method_verification": { "apple_pay": { "status": "verified" } }, "created_at": "2026-03-04T12:00:00.000Z", "updated_at": "2026-03-06T10:00:00.000Z" }, "meta": { "request_id": "a94b2e05-1d73-4f6c-8e3a-5c61b9d72f88" }}